Closed Bug 309169 (js1.6rc1) Opened 15 years ago Closed 13 years ago

Release Spidermonkey 1.6 RC1

Categories

(Core :: JavaScript Engine, defect)

1.8 Branch
x86
All
defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: bc, Assigned: bc)

References

Details

(Keywords: fixed1.8.0.9, fixed1.8.1.1, helpwanted)

Attachments

(3 files, 10 obsolete files)

This bug is to be used to track the work required to release another release
candidate for Spidermonkey 1.5 based on the MOZILLA_1_8_BRANCH. The plan is to
release very soon (like this week) unless there are bugs blocking it.

If you know of bugs which should block the release please add them to the
depends list here.
Status: NEW → ASSIGNED
Depends on: 280769
Horse, barn door, gone -- ba-bye horsie! (as my daughter Natalie would say).

JS_VERSION is now 160 by default (jsconfig.h), so this should be 1.6 RC1.  This
time, we *will* stop RC'ing soon, and have a final SpiderMonkey 1.6 release
(after which I guess we'll have to do dot releases, if necessary).

SpiderMonkey 1.5 went through RCs till now, without a final release.  Can we
retrospectively dub one of them "final"?  Hrm, we didn't do one in quite a
while, so missed out on some fixes for bugs people hit often enough (see the
newsgroup). The last RC, IIRC was RC6a, on 2004-06-09.

We could dub the last trunk stabilization tag or branch-tag cut before E4X went
in as the "final" 1.5 release (candidate).  That tag would be
MOZILLA_1_8a4_RELEASE. It's still ugly, because that was old enough that people
will want fixes done more recently, although perhaps without wanting the E4X
changes.  Thoughts?

/be
Depends on: 309511
Summary: Release Spidermonkey 1.5 RC 7 → Release Spidermonkey 1.6 RC1
Depends on: 232182
Brendan has okayed a plan where we will make a mini-branch soon (like next week)
where selected fixes can be landed for the Spidermonkey 1.6 release even if they
don't make Firefox 1.5/Gecko 1.8.
Just wanted to note that these cherry-picked fixes that don't make mozilla1.8
should not be visible to JS users.  The UTF-8 compile-time support is a perfect
example: an API change that we won't compile into Firefox, XULRunner, or other
1.8-based apps.  It may well be that no other such exceptions will arise.

/be
(In reply to comment #3)
> Just wanted to note that these cherry-picked fixes that don't make mozilla1.8
> should not be visible to JS users.

And (beating a dead horse?) this is because we want "JS1.6" to be the same in
1.8 and derived products such as Firefox 1.5, and in SpiderMonkey 1.6 and its
products and embeddings.

/be
Depends on: 59195
Depends on: 312385
Flags: testcase-
Depends on: 305628
Depends on: 313929
Depends on: 315797
Depends on: 315925
Depends on: 315990
Alias: js1.6rc1
It was suggested in bug 316134 that the directory created from the tar ball contain the version number, e.g. js-1.6.tar.gz would create a directory js-1.6 instead of just js. Make it so.
Depends on: 316885
Depends on: 317250
Depends on: 215173
Depends on: 315436
Depends on: 318402
Depends on: 318767
Depends on: 318922
Depends on: 319391
Depends on: 316862
Depends on: 321549
Depends on: 320032
Depends on: 321874
Depends on: 321971
Depends on: 322045
Depends on: 313922
Depends on: 111352
Depends on: 322499
Depends on: 323529
Depends on: 323765
Depends on: 324650
Depends on: 325269
Depends on: 325521
Depends on: 326281
Depends on: 326453
Depends on: 315974
Depends on: 327564
Depends on: 328037
Depends on: 328479
Depends on: 328897
Depends on: 329530
Depends on: 329749
No longer depends on: 111352
Depends on: 318873
No longer depends on: 232182
No longer depends on: 313922
No longer depends on: 280769
No longer depends on: 305628
Depends on: 232182
Depends on: 317714
Depends on: 328589
Attached patch rollup patch (obsolete) — Splinter Review
This patch rolls up the following patches which were determined from the checkins to either the 1.8 branch or trunk. It will be applied to the source tagged FIREFOX_1_5_RELEASE after I create a branch. I'll begin testing soon, so if you would like other bugs fixed in spidermonkey 1.6, please let me know.

Bonsai Date      Bug(s)
2005-11-04-17-06 232182
2005-11-10-14-19 315925
2005-11-11-12-20 315990
2005-11-30-18-26 315436
2005-12-01-13-05 315436
2005-12-02-18-31 215173
2005-12-02-23-32 318873
2005-12-05-13-35 318767
2005-12-10-22-44 319264
2005-12-10-22-49 319264
2005-12-19-17-20 318922-319391
2006-01-05-11-26 321971
2006-01-06-08-47 316862
2006-01-06-14-57 315797
2006-01-09-11-56 320032
2006-01-09-12-49 321549
2006-01-10-11-29 322499
2006-01-10-16-22 316885-317714
2006-01-10-17-15 322045
2006-01-10-21-02 313929
2006-01-18-09-17 323765
2006-02-07-00-25 325521
2006-02-17-23-13 315974
2006-02-19-09-52 318402
2006-02-19-23-44 232182
2006-02-22-12-40 323529
2006-02-22-12-46 326453
2006-02-22-12-47 327564
2006-02-22-15-39 325269
2006-02-22-15-42 328037
2006-02-27-17-55 321874
2006-02-27-18-00 324650
2006-03-02-12-51 328897
2006-03-02-23-03 232182
2006-03-10-20-15 328589
Comment on attachment 214789 [details] [diff] [review]
rollup patch

obviously missed something:
c:/work/mozilla/builds/ff/spidermonkey-1.6/mozilla/js/src/jsinterp.c(2948) : error C2181: illegal else without matching
 if
c:/work/mozilla/builds/ff/spidermonkey-1.6/mozilla/js/src/jsinterp.c(3385) : warning C4013: 'DO_NEXT_OP' undefined; ass
uming extern returning int
Attachment #214789 - Attachment is obsolete: true
Depends on: 330169
(In reply to comment #7)
> (From update of attachment 214789 [details] [diff] [review] [edit])
> obviously missed something:
> c:/work/mozilla/builds/ff/spidermonkey-1.6/mozilla/js/src/jsinterp.c(2948) :
> error C2181: illegal else without matching
>  if
> c:/work/mozilla/builds/ff/spidermonkey-1.6/mozilla/js/src/jsinterp.c(3385) :
> warning C4013: 'DO_NEXT_OP' undefined; ass
> uming extern returning int

Bad merge -- you don't want any of the DO_NEXT_OP or related stuff from bug 121414.  Revert all such to the corresponding break or goto out from the same place in the 1.8 branch code.

/be
applying 
2006-01-10 16:29	brendan%mozilla.org 	mozilla/js/src/jsinterp.c 	3.181.2.21 	MOZILLA_1_8_BRANCH  	6/18  	Oops.
fixed it.
Depends on: 331664
Depends on: 331678
Depends on: 331719
Attached patch rollup patch v2 (obsolete) — Splinter Review
rollup patch v2 for:

checkin date     bug(s)
2005-11-04 17:06 232182 
2005-11-10 14:19 315925 
2005-11-11 12:20 315990 
2005-11-30 18:26 315436 
2005-12-01 13:05 315436 
2005-12-02 18:31 215173 
2005-12-02 23:32 318873 
2005-12-05 13:35 318767 
2005-12-10 22:44 319264 
2005-12-10 22:49 319264 
2005-12-19 17:20 318922-319391 
2006-01-05 11:26 321971 
2006-01-06 08:47 316862 
2006-01-06 14:57 315797 
2006-01-09 11:56 320032 
2006-01-09 12:49 321549 
2006-01-10 11:29 322499 
2006-01-10 16:22 316885-317714 
2006-01-10 16:29 316885-317714 
2006-01-10 17:15 322045 
2006-01-10 21:02 313929 
2006-01-18 09:17 323765 
2006-02-07 00:25 325521 
2006-02-17 23:13 315974 
2006-02-19 09:52 318402 
2006-02-19 23:44 232182 
2006-02-22 12:40 323529 
2006-02-22 12:46 326453 
2006-02-22 12:47 327564 
2006-02-22 15:39 325269 
2006-02-22 15:42 328037 
2006-02-27 17:55 321874 
2006-02-27 18:00 324650 
2006-03-02 12:51 328897 
2006-03-02 23:03 232182 
2006-03-10 20:15 328589 
2006-03-12 01:35 329749 
2006-03-13 09:00 329530 |SAVE_SP_AND_PC| replaced by 
                        |SAVE_SP(fp); fp->pc = pc;|
2006-03-15 01:23 330169 
2006-03-25 11:26 331664 
2006-03-25 13:54 331678 
2006-03-25 19:51 331719 
2006-03-25 21:02 331719 

This builds but I haven't tested it yet. 

Still need: 

bug 317250 patch needs to be ported to 1.8
bug 312385 needs to be decided upon and fixed or removed from blocker list.
bug 326281 needs to be fixed with 
           |SAVE_SP_AND_PC| replaced by 
           |SAVE_SP(fp); fp->pc = pc;|
Depends on: 331787
the branch is being cut this weekend for a release of rc1 early next week. If you have anything you want in rc1 please land it either on the trunk or the 1.8 branch soonest.
Depends on: 332415
Depends on: 332472
Depends on: 331793
No longer depends on: 317250
No longer depends on: 312385
Attachment #216346 - Attachment is obsolete: true
Attached patch roll up patch v3 (obsolete) — Splinter Review
2005-11-04 17:06 232182
2005-11-10 14:19 315925
2005-11-11 12:20 315990
2005-11-30 18:26 315436
2005-12-01 13:05 315436
2005-12-02 18:31 215173
2005-12-02 23:32 318873
2005-12-05 13:35 318767
2005-12-10 22:44 319264
2005-12-10 22:49 319264
2005-12-19 17:20 318922-319391
2006-01-05 11:26 321971
2006-01-06 08:47 316862
2006-01-06 14:57 315797
2006-01-09 11:56 320032
2006-01-09 12:49 321549
2006-01-10 11:29 322499
2006-01-10 16:22 316885-317714
2006-01-10 16:29 316885-317714
2006-01-10 17:15 322045
2006-01-10 21:02 313929
2006-01-18 09:17 323765
2006-02-07 00:25 325521
2006-02-17 23:13 315974
2006-02-19 09:52 318402
2006-02-19 23:44 232182
2006-02-22 12:40 323529
2006-02-22 12:46 326453
2006-02-22 12:47 327564
2006-02-22 15:39 325269
2006-02-22 15:42 328037
2006-02-27 17:55 321874
2006-02-27 18:00 324650
2006-03-02 12:51 328897
2006-03-02 23:03 232182
2006-03-10 20:15 328589
2006-03-12 01:35 329749
2006-03-13 09:00 329530
           |SAVE_SP_AND_PC(fp)| replaced by 
           |SAVE_SP(fp); fp->pc = pc;|
2006-03-15 01:23 330169
2006-03-25 11:26 331664
2006-03-25 13:54 331678
2006-03-25 19:51 331719
2006-03-25 21:02 331719
2006-03-27 15:54 331793
2006-03-30 17:28 331787
2006-03-31 16:01 332415
2006-04-02 12:08 332472
2006-04-03 10:18 326281
           |SAVE_SP_AND_PC(fp)| replaced by 
           |SAVE_SP(fp); fp->pc = pc;|
           |SAVE_SP_AND_PC(fp)| replaced by 
           |SAVE_SP(fp); fp->pc = pc;|

Don't need to set fp->pc in the branch versions -- it's set for all opcodes at the top of the interpreter loop.

/be
Attachment #217050 - Attachment is obsolete: true
Attached patch roll up patch v4 (obsolete) — Splinter Review
created tag SPIDERMONKEY_1_6_0_BASE as a synonym for mozilla/js for the FIREFOX_1_5_RELEASE tag and branch SPIDERMONKEY_1_6_0_BRANCH where this will be checked in.

final version of the patch against SPIDERMONKEY_1_6_0_BRANCH without the fp->pc = pc;
Attachment #217059 - Flags: review?
Comment on attachment 217059 [details] [diff] [review]
roll up patch v4

could have sworn I put brendan in the reviewer field...
Attachment #217059 - Flags: review? → review?(brendan)
Comment on attachment 217059 [details] [diff] [review]
roll up patch v4

rs=me, my eyes glazed over at some point.  Tell you what: check it into the new branch, then diff MOZILLA_1_8_BRANCH against that branch for all the js*.[cth]* files and put that unified diff in this bug.  That diff should be nearly empty, and we should understand why every hunk in it is there.

/be
Attachment #217059 - Flags: review?(brendan) → review+
Attached file check in log for roll up patch v4 (obsolete) —
checked in the roll up patch plus the change for the js version from bug 67111.
cvs -z3 -q diff -pu10 -r SPIDERMONKEY_1_6_0_BRANCH -r MOZILLA_1_8_BRANCH js*.[cth] > SPIDERMONKEY_1_6_0_BRANCH-MOZILLA_1_8_BRANCH.diff
Wow, lots of stuff in 1.8 that we want in JS1.6.  At least one bad jsinterp.c merge (not fatal, just redundant).  Everything except the JS_C_STRINGS_ARE_UTF8 changes, I think, should go into JS1.6, since it's going into 1.8.0.3 (a diff between the 1.8 and 1.8.0 branches would be helpful to prove this).

Here's the blow by blow:

[items below are JS1.6 but not 1.8 branch unless noted]

js.c my_*ErrorReporter removal

JS_C_STRINGS_ARE_UTF8 and related exception message Unicode changes

JS_YieldRequest fix

JS_GetImplementationVersion

[1.8 but not JS1.6] JS_SetGCParameter changes

JS_SealObject unlocking fix

jsapi.c trailing whitespace removal

jsdhash.h regparm #if !defined(XP_MACOSX)

jsemit.c diff looks like a  missing fix, not sure about where missing

[1.8 but not JS1.6] call_enumerate and fun_enumerate bugfixes

[1.8 but not JS1.6] LENGTH_PROP_ATTRS and fun_getProperty fixes

[1.8 but not JS1.6] fun_call and fun_apply JS_ValueToString error checking (should use js_ValueToString!)

[1.8 but not JS1.6] Function uses js_Function_str instead of "Function"

[1.8 but not JS1.6] js_ValueToFunctionObject checks principals access

[1.8 but not JS1.6] jsinterp.c inline_call: fix to put call object, based on jsobj.c obj_eval change to get call object

do_nonint_fast_global_incop: in the JS1.6 branch has redundant const JSCodeSpec *cs local and len assignment wrongly merged from trunk threaded interpreter -- REMOVE

[1.8 but not JS1.6] script leak on access check failure just before js_Execute call in obj_eval

[1.8 but not JS1.6] js_HasOwnPropertyHelper outerObject fix

[1.8 but not JS1.6] js_NewObject GC safety fix

[1.8 but not JS1.6] jsopcode.c VarPrefix fix

Decompile 'else ok = JS_FALSE' after js_GetPrinterOutput failure fix

js_DestroyPrinter call mislocated in js_DecompileValueGenerator fix

[1.8 but not JS1.6] deprecated with statement warning removed from Statement in jsparse.c

[1.8 but not JS1.6] pn2->pn_arity instead of pn->pn_arity fix to FoldXMLConstants

[1.8 but not JS1.6] HOLD_REGEXP relocation and fix in jsstr.c match_or_replace

[1.8 but not JS1.6] jsscan.c GrowStringBuffer fix

[1.8 but not JS1.6] js_GetToken XMLONLYMODE fix

[1.8 but not JS1.6] JS_SetGCParameter related fixes to account gcMallocBytes in jsscope.c

[1.8 but not JS1.6] match_or_replace error swallowing and DROP_REGEXP bugfixes

[1.8 but not JS1.6] jsxml.c bugfixes we want

Need to cvs annotate and id the above bugs.  I don't have time right now.  Help appreciated.

/be
Depends on: 320854
No longer depends on: 309511
(In reply to comment #20)

The following bugs where included in the patch I applied to js16 but have not had a checkin to 1.8. You can query the dependencies for this bug with blocking1.8.1[?+]

Bug 215173 - JS_ReportErrorNumber doesn't raise the user-specified exception
Bug 232182 - Can't display non-ascii characters in JS exceptions
Bug 315436 - Setting a read-only property does not generate a warning in strict mode
Bug 315925 - Fix some TestUtf8 nits
Bug 315974 - JSprintf functions cannot print jschar characters and strings
Bug 315990 - "this.statement.causes.an.error" is ignored instead of throwing
Bug 318402 - Rename JS_STRINGS_ARE_UTF8 to JS_C_STRINGS_ARE_UTF8
Bug 318767 - js_ReportOutOfMemory needs to support enhanced error reporting
Bug 318873 - Crash in js_GetLocalizedErrorMessage following 215173 checkin
Bug 319264 - Double-free reporting errors
Bug 323765 - Thread unsafe VarPrefix from jsopcode.c
Bug 325521 - JS_YieldRequest() allows the garbage collector to race
Bug 328589 - VC8 doesn't like copyright sign in jscompat.h
Bug 329530 - Out of memory crash when calling fn.toString where fn is a deeply nested function (jsopcode.c patch only)
Bug 329749 - Did JS_SealObject mean to call JS_UNLOCK_OBJ instead of JS_UNLOCK_SCOPE ?
Bug 330169 - ParseNodeToXML() leaves local root stack under certain circumstances

> Wow, lots of stuff in 1.8 that we want in JS1.6.  At least one bad jsinterp.c
> merge (not fatal, just redundant).  Everything except the JS_C_STRINGS_ARE_UTF8

this was Bug 318402 which you nominated for js16.

> changes, I think, should go into JS1.6, since it's going into 1.8.0.3 (a diff
> between the 1.8 and 1.8.0 branches would be helpful to prove this).
> 

I'll attach that in a moment.

It looks to me that this is a complete mess. What do you say about I revert my patch to the SPIDERMONKEY_1_6_0_BRANCH, then we get all of the fixes listed above landed on the 1.8 branch and I create a new rollup patch and we move on from there?
Depends on: 327534
Attached file annotated diff (obsolete) —
Attached file notes (obsolete) —
This contains my estimates of the bugs/patches requested. Take it with a cow-sized salt block.
(In reply to comment #6)
> tagged FIREFOX_1_5_RELEASE after I create a branch. I'll begin testing soon, so
> if you would like other bugs fixed in spidermonkey 1.6, please let me know.

I have reported 335652(request for 213257 in .tar) and 336616
Perhaps I am too late? But I have not found a js-1.6.tar online

In any case many thanks for your help
Bill

Depends on: 336686
Is this happening?  Embedders are still working with 1.5-Final which is from Sept.  24, 2004 according to the release notes... or is there somewhere else to get something newer/more stable?
Should this be WONTFIXed?
Keywords: helpwanted
Attached patch rollup patch v1 (obsolete) — Splinter Review
This patch applies the changes from bug 232182, 315925, 315974, 318402 to the MOZILLA_1_8_0_BRANCH and is intended to add the JS_C_STRINGS_ARE_UTF8 support to the 1.8.0 branch.

I ended up adding an additional message JSMSG_USER_DEFINED_ERROR and moving JSMSG_WRONG_CONSTRUCTOR to make them match 1.8. I don't know if that was kosher or not.

I've build SpiderMonkey shell opt and debug and Firefox opt and debug with these changes, but haven't run the test suite yet.
Attachment #242192 - Flags: review?(brendan)
fyi, no regressions found in comparing js test suite runs for base 1.8.0 and patched 1.8.0.
Thanks, your patch looks good from a number of angles (I haven't read it all the way through, but I've applied it and interdiffed it against 1.8 branch).  This is:

* a bit of cleanup that followed the JS_C_STRINGS_ARE_UTF8 patch in;
* patch(1) rejected a js.msg hunk so I did that by hand and avoided moving stuff
* jsapi.c needed warning fixes for x86_64 and other platforms where size_t!=uintN.

/be
Attachment #243710 - Flags: review?(bclary)
Attachment #217059 - Attachment is obsolete: true
Attachment #217144 - Attachment is obsolete: true
Attachment #217145 - Attachment is obsolete: true
Attachment #217287 - Attachment is obsolete: true
Attachment #217520 - Attachment is obsolete: true
Attachment #217521 - Attachment is obsolete: true
Attachment #242192 - Attachment is obsolete: true
Attachment #242192 - Flags: review?(brendan)
Comment on attachment 243710 [details] [diff] [review]
tweaked utf8 code to match trunk/1.8, untweaked js.msg

applies cleanly to 1.8.0 and there are no signficant differences in the test suite results for winxp browser|windows.

I would like to get this in for 1.8.0.9 along with the version change and release sm16 immediately after ff1.5.0.8.
Attachment #243710 - Flags: review?(bclary)
Attachment #243710 - Flags: review+
Attachment #243710 - Flags: approval1.8.0.9?
Please, be sure to release updated self-tests as well. (Bug 303857).  Thanks!
bump 1.8.1.1/trunk  JS_GetImplementationVersion to 
JavaScript-C 1.7 pre-release 2 2006-11-19
Attachment #245860 - Flags: review?(brendan)
Attachment #245860 - Flags: approval1.8.1.1?
bump 1.8.0 JS_GetImplementationVersion to JavaScript-C 1.6 2006-11-19
Attachment #245861 - Flags: review?(brendan)
Attachment #245861 - Flags: approval1.8.0.9?
Comment on attachment 245861 [details] [diff] [review]
jsapi.c 1.8.0 patch

approved for 1.8.0 branch once brendan gives r=, a=dveditz
Attachment #245861 - Flags: approval1.8.0.9? → approval1.8.0.9+
Attachment #245860 - Flags: review?(brendan) → review+
Attachment #245861 - Flags: review?(brendan) → review+
Comment on attachment 245860 [details] [diff] [review]
jsapi.c trunk|1.8 patch

approved for 1.8 branch, a=dveditz for drivers
Attachment #245860 - Flags: approval1.8.1.1? → approval1.8.1.1+
Comment on attachment 243710 [details] [diff] [review]
tweaked utf8 code to match trunk/1.8, untweaked js.msg

approved for 1.8.0, a=dveditz for drivers
Attachment #243710 - Flags: approval1.8.0.9? → approval1.8.0.9+
attachment 243710 [details] [diff] [review], attachment 245861 [details] [diff] [review] checked into MOZILLA_1_8_BRANCH

Checking in js.c;
/cvsroot/mozilla/js/src/js.c,v  <--  js.c
new revision: 3.93.2.2.2.6; previous revision: 3.93.2.2.2.5
done
Checking in js.msg;
/cvsroot/mozilla/js/src/js.msg,v  <--  js.msg
new revision: 3.43.8.2.2.3; previous revision: 3.43.8.2.2.2
done
Checking in jsapi.c;
/cvsroot/mozilla/js/src/jsapi.c,v  <--  jsapi.c
new revision: 3.214.2.11.2.10; previous revision: 3.214.2.11.2.9
done
Checking in jsapi.h;
/cvsroot/mozilla/js/src/jsapi.h,v  <--  jsapi.h
new revision: 3.107.2.4.2.3; previous revision: 3.107.2.4.2.2
done
Checking in jsatom.c;
/cvsroot/mozilla/js/src/jsatom.c,v  <--  jsatom.c
new revision: 3.65.4.1.4.1; previous revision: 3.65.4.1
done
Checking in jscntxt.c;
/cvsroot/mozilla/js/src/jscntxt.c,v  <--  jscntxt.c
new revision: 3.60.4.2.2.1; previous revision: 3.60.4.2
done
Checking in jsdbgapi.c;
/cvsroot/mozilla/js/src/jsdbgapi.c,v  <--  jsdbgapi.c
new revision: 3.56.2.1.4.7; previous revision: 3.56.2.1.4.6
done
Checking in jsobj.c;
/cvsroot/mozilla/js/src/jsobj.c,v  <--  jsobj.c
new revision: 3.208.2.12.2.19; previous revision: 3.208.2.12.2.18
done
Checking in jsopcode.c;
/cvsroot/mozilla/js/src/jsopcode.c,v  <--  jsopcode.c
new revision: 3.89.2.8.2.10; previous revision: 3.89.2.8.2.9
done
Checking in jsprf.c;
/cvsroot/mozilla/js/src/jsprf.c,v  <--  jsprf.c
new revision: 3.19.30.1; previous revision: 3.19
done
Checking in jsprf.h;
/cvsroot/mozilla/js/src/jsprf.h,v  <--  jsprf.h
new revision: 3.8.28.1; previous revision: 3.8
done
Checking in jspubtd.h;
/cvsroot/mozilla/js/src/jspubtd.h,v  <--  jspubtd.h
new revision: 3.51.8.2.2.1; previous revision: 3.51.8.2
done
Checking in jsscan.c;
/cvsroot/mozilla/js/src/jsscan.c,v  <--  jsscan.c
new revision: 3.81.2.7.2.9; previous revision: 3.81.2.7.2.8
done
Checking in jsstr.c;
/cvsroot/mozilla/js/src/jsstr.c,v  <--  jsstr.c
new revision: 3.108.2.5.2.6; previous revision: 3.108.2.5.2.5
done
Checking in jsstr.h;
/cvsroot/mozilla/js/src/jsstr.h,v  <--  jsstr.h
new revision: 3.27.20.1; previous revision: 3.27
done
Checking in jsxml.c;
/cvsroot/mozilla/js/src/jsxml.c,v  <--  jsxml.c
new revision: 3.50.2.15.2.28; previous revision: 3.50.2.15.2.27
done


(In reply to comment #38)
should have read: 
> attachment 243710 [details] [diff] [review], attachment 245861 [details] [diff] [review] checked into MOZILLA_1_8_0_BRANCH
attachment 245860 [details] [diff] [review] checked into MOZILLA_1_8_BRANCH

Checking in jsapi.c;
/cvsroot/mozilla/js/src/jsapi.c,v  <--  jsapi.c
new revision: 3.214.2.33; previous revision: 3.214.2.32
done

Adding missing keywords. This is why you got the e-mail from Jay just a little bit ago. :)
jsapi.c trunk|1.8 patch attachment 245860 [details] [diff] [review] checked into trunk:
/cvsroot/mozilla/js/src/jsapi.c,v  <--  jsapi.c
new revision: 3.292; previous revision: 3.291
No longer depends on: 215173
No longer depends on: 315436
No longer depends on: 315990
No longer depends on: 318767
No longer depends on: 318873
No longer depends on: 319264
No longer depends on: 325521
No longer depends on: 328589
No longer depends on: 329749
No longer depends on: 332415
No longer depends on: 332472
Depends on: 364737
finally fixed. 
Status: ASSIGNED → RESOLVED
Closed: 13 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.